Subject: Re: [NEXTEL-1] I60 Phone

From: [email-masked]
Date: Thu, 31 Jul 2003 17:39:21 EDT

sny nextel service center or authorized service center can do it. they are 
gonna charge 55 bucks. or you can sign up for nsp. 2.50 a month per phone on 
your account. its a all or nothing thing. and and repair is free of charge.